- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_gradient_paint
GTX Extensions (Experimental)

## Functions
template<typename valType >
valType | linearGradient (detail::tvec2< valType > const &Point0, detail::tvec2< valType > const &Point1, detail::tvec2< valType > const &Position)
template<typename valType >
valType | radialGradient (detail::tvec2< valType > const &Center, valType const &Radius, detail::tvec2< valType > const &Focal, detail::tvec2< valType > const &Position)

## Detailed Description

Functions that return the color of procedural gradient for specific coordinates.

<glm/gtx/gradient_paint.hpp> need to be included to use these functionalities.

## Function Documentation

valType glm::linearGradient | ( | detail::tvec2< valType > const & | Point0,
|  | detail::tvec2< valType > const & | Point1,
|  | detail::tvec2< valType > const & | Position
| ) |  |

Return a color from a linear gradient.

See Also
  - GLM_GTX_gradient_paint

valType glm::radialGradient | ( | detail::tvec2< valType > const & | Center,
|  | valType const & | Radius,
|  | detail::tvec2< valType > const & | Focal,
|  | detail::tvec2< valType > const & | Position
| ) |  |

Return a color from a radial gradient.

See Also
  - GLM_GTX_gradient_paint